Name:           logcheck 
Version:        1.3.13
Release:        4%{?dist}
Summary:        Analyzes log files and sends noticeable events as email 

License:        GPLv2
Group:          Applications/System
URL:            http://logcheck.org/
Source0:        http://ftp.de.debian.org/debian/pool/main/l/%{name}/%{name}_%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       lockfile-progs perl-mime-construct
Requires(pre):  shadow-utils
BuildRequires:  docbook-utils

%description
Logcheck is a simple utility which is designed to allow a system administrator 
to view the log-files which are produced upon hosts under their control.

It does this by mailing summaries of the log-files to them, after first 
filtering out "normal" entries.

Normal entries are entries which match one of the many included regular 
expression files contain in the database.

%prep
%setup -q -n %{name}
# use fedora-style logfiles. (/var/log/syslog is /var/log/messages, 
#                              auth.log is named secure)
sed -i "s/syslog/messages/" etc/logcheck.logfiles
sed -i "s/auth\.log/secure/" etc/logcheck.logfiles

%build


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_sysconfdir}/%{name}/violations.d/logcheck

%{__mkdir} -pm 755 %{buildroot}%{_mandir}/man8
%{__install} -pm 644 docs/logtail.8 %{buildroot}%{_mandir}/man8/
%{__install} -pm 644 docs/logtail2.8 %{buildroot}%{_mandir}/man8/
# create man-page from sgml. 
docbook2man -o %{buildroot}%{_mandir}/man8/ docs/logcheck.sgml 
# man-page-name is named Logcheck instead of logcheck: 
mv %{buildroot}%{_mandir}/man8/Logcheck.8 %{buildroot}%{_mandir}/man8/%{name}.8

rm -f %{buildroot}%{_mandir}/man8/manpage.*

%{__mkdir} -pm 755 %{buildroot}%{_mandir}/man1
%{__install} -pm 644 docs/logcheck-test.1 %{buildroot}%{_mandir}/man1/
%{__install} -pm 644 docs/logtail2.8 %{buildroot}%{_mandir}/man8/

%{__mkdir} -pm 755 %{buildroot}%{_sysconfdir}/cron.d
%{__install} -pm 644 debian/%{name}.cron.d %{buildroot}%{_sysconfdir}/cron.d/%{name}
%{__mkdir} -pm 755 %{buildroot}%{_localstatedir}/lock/%{name}
# create homedir for logcheck-user
%{__mkdir} -pm 644 %{buildroot}%{_sharedstatedir}/%{name}

%clean
rm -rf %{buildroot}

%pre
getent group logcheck >/dev/null || groupadd -r logcheck
getent passwd logcheck >/dev/null || \
    useradd -r -g logcheck -G adm -d /var/lib/logcheck -s /sbin/nologin \
            -c "Logcheck user" logcheck
exit 0

%files
%defattr(-,root,root,-)
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/logcheck.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/logcheck.logfiles
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/cracking.d/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/cracking.d/*
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/ignore.d.workstation/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ignore.d.workstation/*
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/ignore.d.server/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ignore.d.server/*
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/ignore.d.paranoid/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ignore.d.paranoid/*
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/violations.d/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/violations.d/*
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/violations.ignore.d/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/violations.ignore.d/*
#%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/cron.d/*
%{_bindir}/logcheck-test
%{_sbindir}/*
%{_datadir}/logtail/
%{_mandir}/man?/*
%attr(0700,logcheck,logcheck) %{_localstatedir}/lock/%{name}
%attr(0700,logcheck,logcheck) %{_sharedstatedir}/%{name}
%doc docs/* LICENSE


%changelog
* Tue Nov 2 2010 Matthias Runge <mrunge@matthias-runge.de> 1.3.13-4
- respect run-parts --list option

* Tue Sep 14 2010 Matthias Runge <mrunge@matthias-runge.de> 1.3.13-3
- escape " in sed-call

* Mon Sep 6 2010 Matthias Runge <mrunge@matthias-runge.de> 1.3.13-1
- update to 1.3.13
- make permissions fit to fedora-packaging guidelines

* Thu Aug 5 2010 Matthias Runge <mrunge@matthias-runge.de> 1.3.11-1
- substitute patches with sed-invocations for readability
- install creates logcheck-homedir, package owns homedir
- update to 1.3.11

* Mon May 17 2010 Matthias Runge <mrunge@matthias-runge.de> 1.3.8-5
- add lockfile-progs as requirement
- debians run-parts accepts --list parameter, fedoras doesn't need it

* Wed May 12 2010 Matthias Runge <mrunge@matthias-runge.de> 1.3.8-4
- added requires, homedir created

* Mon May 10 2010 Matthias Runge <mrunge@matthias-runge.de> 1.3.8-3
- patch logcheck-logfiles 

* Sat May 8 2010 Matthias Runge <mrunge@matthias-runge.de> 1.3.8-2
- install man page
- clean up permissions and files section
- user logcheck added

* Wed Apr 28 2010 Matthias Runge <mrunge@matthias-runge.de> 1.3.8-1
- initial spec
